Console Output

Started by upstream project "sprotty-theia/master" build number 23
originally caused by:
 Branch indexing
Running in Durability level: PERFORMANCE_OPTIMIZED
[Pipeline] Start of Pipeline
[Pipeline] echo
[WARNING] label option is deprecated. To use a static pod template, use the 'inheritFrom' option.
[Pipeline] podTemplate
[Pipeline] {
[Pipeline] node
Created Pod: kubernetes sprotty/sprotty-agent-pod-5c5gn-lpf2p
[Normal][sprotty/sprotty-agent-pod-5c5gn-lpf2p][Scheduled] Successfully assigned sprotty/sprotty-agent-pod-5c5gn-lpf2p to okdnode-15
[Normal][sprotty/sprotty-agent-pod-5c5gn-lpf2p][AddedInterface] Add eth0 [10.40.33.82/23]
[Normal][sprotty/sprotty-agent-pod-5c5gn-lpf2p][Pulled] Container image "node:12.14.1" already present on machine
[Normal][sprotty/sprotty-agent-pod-5c5gn-lpf2p][Created] Created container node
[Normal][sprotty/sprotty-agent-pod-5c5gn-lpf2p][Started] Started container node
[Normal][sprotty/sprotty-agent-pod-5c5gn-lpf2p][Pulled] Container image "docker.io/eclipsecbi/jiro-agent-basic:remoting-4.7" already present on machine
[Normal][sprotty/sprotty-agent-pod-5c5gn-lpf2p][Created] Created container jnlp
[Normal][sprotty/sprotty-agent-pod-5c5gn-lpf2p][Started] Started container jnlp
Still waiting to schedule task
‘sprotty-agent-pod-5c5gn-lpf2p’ is offline
Agent sprotty-agent-pod-5c5gn-lpf2p is provisioned from template sprotty-agent-pod-5c5gn
---
apiVersion: "v1"
kind: "Pod"
metadata:
  annotations:
    buildUrl: "http://jenkins-ui.sprotty.svc.cluster.local/sprotty/job/deploy-sprotty-theia/12/"
    runUrl: "job/deploy-sprotty-theia/12/"
  labels:
    jenkins: "slave"
    jenkins/label-digest: "94c9ac7d111dbbd882706642673985e1e8e78a4d"
    jenkins/label: "sprotty-agent-pod"
  name: "sprotty-agent-pod-5c5gn-lpf2p"
spec:
  containers:
  - command:
    - "cat"
    image: "node:12.14.1"
    name: "node"
    resources:
      limits:
        memory: "2Gi"
        cpu: "1"
      requests:
        memory: "2Gi"
        cpu: "1"
    tty: true
    volumeMounts:
    - mountPath: "/home/jenkins"
      name: "jenkins-home"
      readOnly: false
    - mountPath: "/.yarn"
      name: "yarn-global"
      readOnly: false
    - mountPath: "/home/jenkins/agent"
      name: "workspace-volume"
      readOnly: false
  - env:
    - name: "JENKINS_SECRET"
      value: "********"
    - name: "JENKINS_TUNNEL"
      value: "jenkins-discovery.sprotty.svc.cluster.local:50000"
    - name: "JENKINS_AGENT_NAME"
      value: "sprotty-agent-pod-5c5gn-lpf2p"
    - name: "JENKINS_NAME"
      value: "sprotty-agent-pod-5c5gn-lpf2p"
    - name: "JENKINS_AGENT_WORKDIR"
      value: "/home/jenkins/agent"
    - name: "JENKINS_URL"
      value: "http://jenkins-ui.sprotty.svc.cluster.local/sprotty/"
    image: "docker.io/eclipsecbi/jiro-agent-basic:remoting-4.7"
    name: "jnlp"
    resources:
      limits: {}
      requests:
        memory: "256Mi"
        cpu: "100m"
    volumeMounts:
    - mountPath: "/home/jenkins/agent"
      name: "workspace-volume"
      readOnly: false
  nodeSelector:
    kubernetes.io/os: "linux"
  restartPolicy: "Never"
  volumes:
  - emptyDir: {}
    name: "yarn-global"
  - emptyDir: {}
    name: "jenkins-home"
  - emptyDir:
      medium: ""
    name: "workspace-volume"

Running on sprotty-agent-pod-5c5gn-lpf2p in /home/jenkins/agent/workspace/deploy-sprotty-theia
[Pipeline] {
[Pipeline] withEnv
[Pipeline] {
[Pipeline] stage
[Pipeline] { (Checkout master)
[Pipeline] git
Selected Git installation does not exist. Using Default
The recommended git tool is: NONE
using credential github-bot
Cloning the remote Git repository
Cloning repository https://github.com/eclipse/sprotty-theia.git
 > git init /home/jenkins/agent/workspace/deploy-sprotty-theia # timeout=10
Avoid second fetch
Checking out Revision 877f1aec58a0f3ac85947338d20b447b88177eb2 (refs/remotes/origin/master)
Fetching upstream changes from https://github.com/eclipse/sprotty-theia.git
 > git --version # timeout=10
 > git --version # 'git version 2.20.1'
using GIT_ASKPASS to set credentials GitHub bot (username/token)
 > git fetch --tags --force --progress -- https://github.com/eclipse/sprotty-theia.git +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/eclipse/sprotty-theia.git # timeout=10
 > git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 877f1aec58a0f3ac85947338d20b447b88177eb2 # timeout=10
 > git branch -a -v --no-abbrev # timeout=10
 > git checkout -b master 877f1aec58a0f3ac85947338d20b447b88177eb2 # timeout=10
Commit message: "Upgrade Sprotty and Theia dependencies"
 > git rev-list --no-walk f8b7573aaaf474f17e6384eb7afacd7fd9e71224 # timeout=10
[Pipeline] }
[Pipeline] // stage
[Pipeline] stage
[Pipeline] { (Build & Deploy)
[Pipeline] container
[Pipeline] {
[Pipeline] withCredentials
Masking supported pattern matches of $NPM_AUTH_TOKEN
[Pipeline] {
[Pipeline] sh
+ printf //registry.npmjs.org/:_authToken=****

[Pipeline] }
[Pipeline] // withCredentials
[Pipeline] sh
+ git config user.email eclipse-sprotty-bot@eclipse.org
[Pipeline] sh
+ git config user.name eclipse-sprotty-bot
[Pipeline] sh
+ yarn install
yarn install v1.21.1
[1/4] Resolving packages...
[2/4] Fetching packages...
info fsevents@2.1.3: The platform "linux" is incompatible with this module.
info "fsevents@2.1.3" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
$ yarn run clean && yarn run build
yarn run v1.21.1
$ rimraf lib artifacts
Done in 0.09s.
yarn run v1.21.1
$ tsc -p ./tsconfig.json && yarn run lint
$ tslint -c ./configs/tslint.json --project ./tsconfig.json
Done in 8.47s.
Done in 43.05s.
[Pipeline] sh
+ yarn publish:next
yarn run v1.21.1
$ yarn publish --new-version "$(semver $npm_package_version -i minor)-next.$(git rev-parse --short HEAD)" --tag next
[1/4] Bumping version...
info Current version: 0.9.0
info New version: 0.10.0-next.877f1ae
[2/4] Logging in...
[3/4] Publishing...
$ yarn run clean && yarn run build
$ rimraf lib artifacts
$ tsc -p ./tsconfig.json && yarn run lint
$ tslint -c ./configs/tslint.json --project ./tsconfig.json
$ yarn run test
$ jenkins-mocha --opts ./configs/mocha.opts "./src/**/*.spec.?(ts|tsx)"


  inversify
    ✓ error


  1 passing (5ms)


=============================== Coverage summary ===============================
Statements   : Unknown% ( 0/0 )
Branches     : Unknown% ( 0/0 )
Functions    : Unknown% ( 0/0 )
Lines        : Unknown% ( 0/0 )
================================================================================
success Published.
[4/4] Revoking token...
info Not revoking login token, specified via config file.
Done in 13.17s.
[Pipeline] }
[Pipeline] // container
[Pipeline] }
[Pipeline] // stage
[Pipeline] }
[Pipeline] // withEnv
[Pipeline] }
[Pipeline] // node
[Pipeline] }
[Pipeline] // podTemplate
[Pipeline] End of Pipeline
Finished: SUCCESS